Vue.component('${filename(view.codeName)}', {
    template: `
        <ibiz-card class="ibiz-expview ibiz-view" :dis-hover="true">

            <#SRFINC(VIEW_CAPTION)>

            <row class="ibiz-expview-content">
                <tabs v-model="viewController.tabItem.name" @on-click="onTabChange" :animated="false">
                    <template v-for="tab of viewController.tabs">
                        <tab-pane :name="tab.name" class="" :label="tab.title">
                    </template>
                </tabs>
                <div style="height: calc(100% - 52px)">
                    <component :viewUsage="4" :key="viewController.tabItem.embedviewid" :is="viewController.tabItem.viewname" :params="{}"></component>
                </div>
            </row>
        </ibiz-card>
            `,
    <#SRFINC(VIEW_COMPONENT_PROPS)>
    <#SRFINC(LIFECYCLE_HOOK)>
    methods: {
        'onTabChange': function(name) {
    		this.viewController.changeTab(name);
    	}
    },
    watch: {
        'params': function (val) {
            this.viewController.fillViewParams(val);
        }
    }
});